Summary:	Userspace RCU implementation
Summary(pl.UTF-8):	Implementacja RCU w przestrzeni użytkownika
Name:		userspace-rcu
Version:	0.9.3
Release:	1
License:	LGPL v2.1+ (library), GPL v2 (tests)
Group:		Libraries
Source0:	http://lttng.org/files/urcu/%{name}-%{version}.tar.bz2
# Source0-md5:	920970e35a1a2066c8353eabfeab8730
URL:		http://lttng.org/urcu
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
liburcu is a LGPL userspace RCU (read-copy-update) library. This data
synchronization library provides read-side access which scales
linearly with the number of cores. It does so by allowing multiples
copies of a given data structure to live at the same time, and by
monitoring the data structure accesses to detect grace periods after
which memory reclamation is possible.

liburcu-cds provides efficient data structures based on RCU and
lock-free algorithms. Those structures include hash tables, queues,
stacks, and doubly-linked lists.

%description -l pl.UTF-8
liburcu to dostępna na licencji LGPL biblioteka będąca implementacją
algorytmu RCU (read-copy-update) w przestrzeni użytkownika. Ta
biblioteka synchronizacji danych pozwala na dostęp w trybie odczytu
skalujący się liniowo wraz z liczbą rdzeni. Jest to osiągalne poprzez
zezwolenie na istnienie naraz wielu kopii struktur danych i śledzenie
dostępów do tych struktur, aby wykryć okresy, kiedy możliwe jest
odzyskanie pamięci.

liburdu-cms udostępnia wydajne struktury danych oparte na algorytmach
RCU oraz bez blokad. Struktury te obejmują tablice haszujące, kolejki,
stosy i listy dwukierunkowe.

%package devel
Summary:	Header files for Userspace RCU libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek Userspace RCU
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for Userspace RCU libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek Userspace RCU.

%package static
Summary:	Static Userspace RCU libraries
Summary(pl.UTF-8):	Statyczne biblioteki Userspace RCU
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Userspace RCU libraries.

%description static -l pl.UTF-8
Statyczne biblioteki Userspace RCU.

%prep
%setup -q

%build
%configure \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# *.la kept - urcu-common not handled in any way in .pc files

# packaged as %doc
%{__rm} $RPM_BUILD_ROOT%{_docdir}/userspace-rcu/{{rcu,cds,uatomic}-api.md,ChangeLog,README.md}

install -d $RPM_BUILD_ROOT%{_examplesdir}
%{__mv} $RPM_BUILD_ROOT%{_docdir}/userspace-rcu/examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog LICENSE README.md lgpl-relicensing.txt
%attr(755,root,root) %{_libdir}/liburcu.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liburcu.so.4
%attr(755,root,root) %{_libdir}/liburcu-bp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liburcu-bp.so.4
%attr(755,root,root) %{_libdir}/liburcu-cds.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liburcu-cds.so.4
%attr(755,root,root) %{_libdir}/liburcu-common.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liburcu-common.so.4
%attr(755,root,root) %{_libdir}/liburcu-mb.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liburcu-mb.so.4
%attr(755,root,root) %{_libdir}/liburcu-qsbr.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liburcu-qsbr.so.4
%attr(755,root,root) %{_libdir}/liburcu-signal.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liburcu-signal.so.4

%files devel
%defattr(644,root,root,755)
%doc doc/{rcu,cds,uatomic}-api.md
%attr(755,root,root) %{_libdir}/liburcu.so
%attr(755,root,root) %{_libdir}/liburcu-bp.so
%attr(755,root,root) %{_libdir}/liburcu-cds.so
%attr(755,root,root) %{_libdir}/liburcu-common.so
%attr(755,root,root) %{_libdir}/liburcu-mb.so
%attr(755,root,root) %{_libdir}/liburcu-qsbr.so
%attr(755,root,root) %{_libdir}/liburcu-signal.so
%{_libdir}/liburcu.la
%{_libdir}/liburcu-bp.la
%{_libdir}/liburcu-cds.la
%{_libdir}/liburcu-common.la
%{_libdir}/liburcu-mb.la
%{_libdir}/liburcu-qsbr.la
%{_libdir}/liburcu-signal.la
%{_includedir}/urcu
%{_includedir}/urcu*.h
%{_pkgconfigdir}/liburcu.pc
%{_pkgconfigdir}/liburcu-bp.pc
%{_pkgconfigdir}/liburcu-cds.pc
%{_pkgconfigdir}/liburcu-mb.pc
%{_pkgconfigdir}/liburcu-qsbr.pc
%{_pkgconfigdir}/liburcu-signal.pc
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/liburcu.a
%{_libdir}/liburcu-bp.a
%{_libdir}/liburcu-cds.a
%{_libdir}/liburcu-common.a
%{_libdir}/liburcu-mb.a
%{_libdir}/liburcu-qsbr.a
%{_libdir}/liburcu-signal.a
%changelog
* Sat Dec 24 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/userspace-rcu.git;a=log;h=master

* Sat Dec 24 2016 Jakub Bogusz <qboosh@pld-linux.org> 702880f
- updated to 0.9.3

* Sat Jun 25 2016 Jakub Bogusz <qboosh@pld-linux.org> b05c469
- updated to 0.9.2

* Tue Jan 26 2016 Jakub Bogusz <qboosh@pld-linux.org> 3636466
- updated to 0.9.1 (note: new sonames)

* Mon Sep 14 2015 Jakub Bogusz <qboosh@pld-linux.org> 180d899
- updated to 0.8.8

* Sat May 09 2015 Jakub Bogusz <qboosh@pld-linux.org> 202b4c0
- updated to 0.8.7

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 75d8b80
- release 2 (by relup.sh)

* Mon Jan 26 2015 Jakub Bogusz <qboosh@pld-linux.org> 140161a
- updated to 0.8.6

* Wed Oct 22 2014 Jakub Bogusz <qboosh@pld-linux.org> 239e03a
- updated to 0.8.5

* Sun Mar 09 2014 Jakub Bogusz <qboosh@pld-linux.org> a92b90a
- updated to 0.8.4

* Mon Mar 03 2014 Jakub Bogusz <qboosh@pld-linux.org> 16f1871
- updated to 0.8.3

* Fri Nov 15 2013 Jakub Bogusz <qboosh@pld-linux.org> 47f870a
- updated to 0.8.1

* Sun Sep 15 2013 Jakub Bogusz <qboosh@pld-linux.org> a34c941
- updated to 0.8.0 (note: new sonames)

* Sat Jul 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 70b4635
- typo

* Fri Jul 05 2013 Jakub Bogusz <qboosh@pld-linux.org> 1c316b2
- updated to 0.7.7

* Sat Jan 12 2013 Jakub Bogusz <qboosh@pld-linux.org> ec716e0
- updated to 0.7.6

* Tue Oct 16 2012 Jakub Bogusz <qboosh@pld-linux.org> 204e039
- updated to 0.7.5

* Sun Oct 07 2012 Jakub Bogusz <qboosh@pld-linux.org> 90a8f18
- new

